### Type parameters

- #### D

### Hierarchy

- TextFilterDef
- BaseDataFilter<D>
  - TextFilter

## Index

### Properties

- text

### Methods

- filter

## Properties

### text

text: string

Inherited from TextFilterDef.text

## Methods

### filter

- filter(item: D, index?: number, array?: D[]): boolean

- Inherited from BaseDataFilter.filter

  #### Parameters

  - ##### item: D

  - ##### Optional index: number

  - ##### Optional array: D[]

  #### Returns boolean

Generated using TypeDoc